org.apache.ignite.internal.managers.communication

## Class IgniteIoTestMessage

- java.lang.Object
- - org.apache.ignite.internal.managers.communication.IgniteIoTestMessage

All Implemented Interfaces:
  Serializable, Message

    public class IgniteIoTestMessage
    extends Object
    implements Message

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`IgniteIoTestMessage()`
`IgniteIoTestMessage(long id, boolean req, byte[] payload)`

### Method Summary

Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`byte` `flags()`
`void` `flags(byte flags)`
`long` `id()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `processFromNioThread()`
`void` `processFromNioThread(boolean procFromNioThread)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `request()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteIoTestMessage

    public IgniteIoTestMessage()

#### IgniteIoTestMessage

    public IgniteIoTestMessage(long id,
                       boolean req,
                       byte[] payload)

Parameters:
  `id` - Message ID.
  `req` - Request flag.
  `payload` - Payload.

### Method Detail

#### processFromNioThread

    public boolean processFromNioThread()

Returns:
  `True` if message should be processed from NIO thread (otherwise message is submitted to system pool).

#### processFromNioThread

    public void processFromNioThread(boolean procFromNioThread)

Parameters:
  `procFromNioThread` - `True` if message should be processed from NIO thread.

#### flags

    public void flags(byte flags)

Parameters:
  `flags` - Flags.

#### flags

    public byte flags()

Returns:
  Flags.

#### request

    public boolean request()

Returns:
  `true` if this is request.

#### id

    public long id()

Returns:
  ID.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017